Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class SelectionRecord

    java.lang.Object
      org.apache.poi.hssf.record.Record
          org.apache.poi.hssf.record.SelectionRecord

public class SelectionRecord
extends Record

Title: Selection Record

Description: shows the user's selection on the sheet for write set num refs to 0

TODO : Fully implement reference subrecords. REFERENCE: PG 291 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Author:
  Andrew C. Oliver (acoliver at apache dot org), Jason Height (jheight at chariot dot net dot au), Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` | `sid`

Constructor Summary
`SelectionRecord()`
`SelectionRecord(short id, short size, byte[] data)` Constructs a Selection record and sets its fields appropriately.
`SelectionRecord(short id, short size, byte[] data, int offset)` Constructs a Selection record and sets its fields appropriately.

Method Summary
`java.lang.Object` | `clone()`
`protected void` | `fillFields(byte[] data, short size, int offset)` called by the constructor, should set class level fields.
`short` | `getActiveCellCol()` get the active cell's col
`short` | `getActiveCellRef()` get the active cell's reference number
`int` | `getActiveCellRow()` get the active cell's row
`short` | `getNumRefs()` get the number of cell refs (we don't support selection so set to 0
`byte` | `getPane()` get which window pane this is for
`int` | `getRecordSize()` gives the current serialized size of the record.
`short` | `getSid()` return the non static version of the id for this record.
`int` | `serialize(int offset, byte[] data)` called by the class that is responsible for writing this sucker.
`void` | `setActiveCellCol(short col)` set the active cell's col
`void` | `setActiveCellRef(short ref)` set the active cell's reference number
`void` | `setActiveCellRow(int row)` set the active cell's row
`void` | `setNumRefs(short refs)` set the number of cell refs (we don't support selection so set to 0
`void` | `setPane(byte pane)` set which window pane this is for
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)
`protected void` | `validateSid(short id)` called by constructor, should throw runtime exception in the event of a record passed with a differing ID.

Methods inherited from class org.apache.poi.hssf.record.Record
`fillFields, isInValueSection, isValue, processContinueRecord, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### SelectionRecord

    public SelectionRecord()

### SelectionRecord

    public SelectionRecord(short id,
                           short size,
                           byte[] data)

  Constructs a Selection record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x1d or an exception will be throw upon validation
  `size` - the size of the data area of the record
  `data` - data of the record (should not contain sid/len)

### SelectionRecord

    public SelectionRecord(short id,
                           short size,
                           byte[] data,
                           int offset)

  Constructs a Selection record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x1d or an exception will be throw upon validation
  `size` - the size of the data area of the record
  `data` - data of the record (should not contain sid/len)
  `offset` - of the record's data

Method Detail

### validateSid

    protected void validateSid(short id)

  Description copied from class: `Record`
  called by constructor, should throw runtime exception in the event of a record passed with a differing ID.

  Specified by:
    `validateSid` in class `Record`
  Parameters:
    `id` - alleged id for this record

### fillFields

    protected void fillFields(byte[] data,
                              short size,
                              int offset)

  Description copied from class: `Record`
  called by the constructor, should set class level fields. Should throw runtime exception for bad/icomplete data.

  Specified by:
    `fillFields` in class `Record`
  Parameters:
    `data` - raw data
    `size` - size of data
    `offset` - of the record's data (provided a big array of the file)

### setPane

    public void setPane(byte pane)

  set which window pane this is for

  Parameters:
    `pane` -

### setActiveCellRow

    public void setActiveCellRow(int row)

  set the active cell's row

  Parameters:
    `row` - number of active cell

### setActiveCellCol

    public void setActiveCellCol(short col)

  set the active cell's col

  Parameters:
    `col` - number of active cell

### setActiveCellRef

    public void setActiveCellRef(short ref)

  set the active cell's reference number

  Parameters:
    `ref` - number of active cell

### setNumRefs

    public void setNumRefs(short refs)

  set the number of cell refs (we don't support selection so set to 0

  Parameters:
    `refs` - - number of references

### getPane

    public byte getPane()

  get which window pane this is for

  Returns:
    pane

### getActiveCellRow

    public int getActiveCellRow()

  get the active cell's row

  Returns:
    row number of active cell

### getActiveCellCol

    public short getActiveCellCol()

  get the active cell's col

  Returns:
    col number of active cell

### getActiveCellRef

    public short getActiveCellRef()

  get the active cell's reference number

  Returns:
    ref number of active cell

### getNumRefs

    public short getNumRefs()

  get the number of cell refs (we don't support selection so set to 0

  Returns:
    refs - number of references

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public int serialize(int offset,
                         byte[] data)

  Description copied from class: `Record`
  called by the class that is responsible for writing this sucker. Subclasses should implement this so that their data is passed back in a byte array.

  Specified by:
    `serialize` in class `Record`
  Parameters:
    `offset` - to begin writing at
    `data` - byte array containing instance data
  Returns:
    number of bytes written

### getRecordSize

    public int getRecordSize()

  Description copied from class: `Record`
  gives the current serialized size of the record. Should include the sid and reclength (4 bytes).

  Overrides:
    `getRecordSize` in class `Record`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.